Bug 54567 - ISO loopback ftp-install problem
ISO loopback ftp-install problem
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-12 11:58 EDT by Steve Bonneville
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-12 17:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2001-10-12 11:58:31 EDT
Description of Problem:

The RELEASE-NOTES claim that the ISO images can be loopback mounted on an
FTP server and used as a source for a net install.  We create a directory
on the ftp site and set up mount points "/disc1", "/disc2", etc. for the
ISO images to be loop mounted on, in that directory.  Then we specify the
directory containing the mount points as the installation directory for an
FTP install.

The installer looks on the install server and finds
  $BASE/disc1/RedHat/base/netstg1.img 
fine, after failing to find the normal $BASE/RedHat/base/netstg1.img.

However, the installer only tries to look in $BASE/RedHat, not
$BASE/disc*/RedHat, for base/hdlist and for the RPM files; therefore the
install fails.  Messages indicating this are printed on the installer log
virtual console.

Version-Release number of selected component (if applicable):

Tested with enigma (Sep 24 ISOs).
Comment 1 Jeremy Katz 2001-10-12 14:49:36 EDT
I just had this work fine for me using the Enigma images.  Did you have a RedHat
directory in the base directory that the disc1 and disc2 directories were in?
Comment 2 Steve Bonneville 2001-10-12 17:33:02 EDT
Nope, although the directory the /disc1 and /disc2 directories were in was
called RedHat.
I could've been doing something wrong -- it's the first time I've tried this. 
:)
Comment 3 Jeremy Katz 2001-10-15 17:31:13 EDT
Take a look at how it's done on porkchop in /mnt/test/katzj2 and that should do
it for you.

Note You need to log in before you can comment on or make changes to this bug.